Bug 662363 - Undefined variable: result (E_NOTICE)
Undefined variable: result (E_NOTICE)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: phpldapadmin (Show other bugs)
14
Unspecified Unspecified
low Severity urgent
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-11 21:44 EST by Michael
Modified: 2010-12-13 09:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-13 09:51:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael 2010-12-11 21:44:23 EST
I get this message on an attempt to login:

You found a non-fatal phpLDAPadmin bug!
Error:	Undefined variable: result (E_NOTICE)
File:	ds_ldap.php line 488, caller cmd.php
Versions:	PLA: 1.2.0.5, PHP: 5.3.3, SAPI: apache2handler
Web server:	Apache/2.2.17 (Fedora)
Comment 1 Michael 2010-12-12 07:55:59 EST
in addition:

You found a non-fatal phpLDAPadmin bug!
Error:	Undefined variable: request (E_NOTICE)
File:	rdelete.php line 66, caller cmd.php
Versions:	PLA: 1.2.0.5, PHP: 5.3.3, SAPI: apache2handler
Web server:	Apache/2.2.17 (Fedora)
Comment 2 Dmitry Butskoy 2010-12-13 09:51:46 EST
It is something related to the coding style.

The default php config uses "error_reporting = E_ALL & ~E_NOTICE", whereas the production distributions (as well as Fedora) use "E_ALL & ~E_DEPRECATED" instead.

It seems you should add the "& ~E_NOTICE" to your /etc/php.ini to avoid such messages.


Reported upstream:
https://sourceforge.net/tracker/?func=detail&aid=3136564&group_id=61828&atid=498546

Note You need to log in before you can comment on or make changes to this bug.